- Home
- API Enriched
- Statistics
- infraprotect
- L3l4 Application traffic Query.
L3l4 Application traffic Query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/graph/l3l4/by_application/example';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"2026-04-15T12:00:00Z","namespace":"example","network_id":"example","start_time":"2026-04-15T12:00:00Z","traffic_unit":"TrafficUnitUnknown"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/graph/l3l4/by_application/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "2026-04-15T12:00:00Z", "namespace": "example", "network_id": "example", "start_time": "2026-04-15T12:00:00Z", "traffic_unit": "TrafficUnitUnknown" }'Request to GET l3l4 Application traffic data.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
NetworkId The network ID.
Request Bodyrequired
Section titled “Request Bodyrequired”Used to display Application (aka protocol) by tenant.
object
End time of metric collection from which data will be considered to build graph.
Optional: If not specified, then the end_time will be evaluated to
This request is supported only in system namespace.
The network ID.
Start time of metric collection from which data will be considered to build graph.
Optional: If not specified, then the start_time will be evaluated to
Responses
Section titled “Responses”A successful response.
Response for Application Traffic.
object
List of data.
object
Human-readable name for the resource
List of data.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in RFC3339.
Metric value.
List of data.
object
Human-readable name for the resource
List of data.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in RFC3339.
Metric value.
Examplegenerated
{ "in": [ { "name": "example", "values": [ { "timestamp": "2026-04-15T12:00:00Z", "value": "example" } ] } ], "out": [ { "name": "example", "values": [ { "timestamp": "2026-04-15T12:00:00Z", "value": "example" } ] } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example